<?php

/**
 * Controller which controls most of the functions in the application
 */

class HomeController extends BaseController {
    
    /**
     * Displays the visitor book
     */
    public function visitorbook()
    {
        return View::make('visitor-book');
    }
    
    /**
     * Logs out from visitor book
     */
    public function logout()
    {
        Session::flush();
        
        return Redirect::to('/');
    }
    
    /**
     * Adding a new visitor
     */
    public function addVisitor()
    {
        $input = Input::all();
        
        if ($input['overall_rating'] == 0)
        {
            return;
        }
        
        $visitor = new Visitor;
        
        $visitor->rating = $input['overall_rating'];
        
        if (Input::has('facility_rating'))	$visitor->facility_rating = $input['facility_rating'];
        if (Input::has('service_rating'))	$visitor->service_rating = $input['service_rating'];
        if (Input::has('value_rating'))	$visitor->value_rating = $input['value_rating'];
        
        if (Input::has('feedback')) $visitor->feedback = $input['feedback'];
        if (Input::has('full_name'))$visitor->full_name = $input['full_name'];
        if (Input::has('lat'))$visitor->loc_lat = $input['lat'];
        if (Input::has('lng'))$visitor->loc_lng = $input['lng'];
        if (Input::has('formatted_address')) $visitor->loc_formatted = $input['formatted_address'];
        if (Input::has('email')) $visitor->email = $input['email'];
        
        $visitor->save();
        
        if (Input::has('refferals'))
        {
            foreach($input['refferals'] as $refferal)
            {
                $ref = new Refferal;
                
                $ref->refferal = $refferal;
                if ($refferal == 'Other' && Input::has('refferal_other')) $ref->refferal_other = $input['refferal_other'];
                if ($refferal == 'Brochure' && Input::has('refferal_brochure')) $ref->refferal_other = $input['refferal_brochure'];
                $ref->visitor_id = $visitor->id;
                
                $ref->save();
            }
        }

		 if (Input::has('email')) $this->addEmaiLToList( $input['email'] );
    }
    
    /**
     * Add an email to the mailing list
     */
    public function addEmailToList($email = null)
    {
        if (! filter_var($email, FILTER_VALIDATE_EMAIL))
        {
            return;
        }
        
        require_once base_path() . '\vendor\campaignmonitor\createsend-php\csrest_subscribers.php';
        
        $auth = array('api_key' => '3710b44445ee66c588d6ddba60765ec1bf3a762fb5286458');
        $wrap = new CS_REST_Subscribers('a9656e17beb774c644b655829087091f', $auth); // ListID, Auth
        
        $result = $wrap->add([
        'EmailAddress' => $email,
        ]);
        
       return;
    }
    

    /**
     * Removing a visitor
     */
    public function removeVisitor($id)
    {
        $visitor = Visitor::find($id);
        
        $visitor->delete();
        
        return Redirect::back();
    }
    
    /**
     * Display the admin page
     */
    public function admin()
    {
        $visitors = Visitor::orderBy('created_at', 'desc')->paginate(20);
        $allVisitors = Visitor::orderBy('created_at', 'desc')->get();
        $refferals = Refferal::all();
        
        $nzVisitors = Visitor::where('loc_formatted', 'like', '%New Zealand')->get();
        
        $nzVisitors->filter(function($vis){
            $vis->loc_formatted = explode(', ', $vis->loc_formatted)[0];
        });
        
        $countryVisitors = Visitor::where('loc_formatted', '!=', '')->get();
        
        $countryVisitors->filter(function($vis){
            
            $ar = explode(', ', $vis->loc_formatted);
            $arCount = count($ar);
            
            $vis->loc_formatted = $arCount >= 2 ? end($ar) : $ar[0];
            
            if (isset($ar[1]) && $ar[1] == 'UK')
            {
                $vis->loc_formatted = $ar[0];
            }
            
        });
        
        
        // $visLocations = Visitor::all();
        // $visLocations = $visLocations->groupBy('loc_formatted');
        //
        // foreach($visLocations as $key => $location)
        // {
        // 	dd($key);
        // }
        
        return View::make('admin', compact('visitors', 'refferals', 'allVisitors', 'nzVisitors', 'countryVisitors'));
    }
    
}