<!DOCTYPE html>
<html>
<head>
  <title>Visitor Book - Admin </title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.6/css/bootstrap.min.css" integrity="sha384-1q8mTJOASx8j1Au+a5WDVnPi2lkFfwwEAa8hDDdjZlpLegxhjVME1fgjWPGmkzs7" crossorigin="anonymous">
  <meta charset="utf-8" />
  <link rel="stylesheet" href="{{ url('css/font-awesome.css') }}" />

  <style>
  p {
    /*word-break:  break-all;*/
    word-wrap: normal;
  }
  </style>

</head>
<body style="background-image:url('{{ url('img/bg.JPG') }}'); background-size:cover; background-attachment:fixed;">

  <img src="{{ url('img/logo.png') }}" style="width:350px;margin:0 auto;padding:20px;display:block;" />

  <div class="row" style="max-width:1600px;margin:0 auto;">

    <div class="col-xs-9 col-md-9">

      <div class="panel panel-default">
        <div class="panel-heading">
          <h2><i class="fa fa-map"></i> Visitor Locations</h2>
        </div>
        <div id="map" style="width: 100%; height: 500px;"></div>
      </div>

    </div>

    <div class="col-xs-3 col-md-3">

      <div class="panel panel-default">
        <div class="panel-heading">
          <h2><i class="fa fa-map"></i> NZ Locations</h2>
        </div>
        <div id="location_chart" style="width: 100%; height: 200px;"></div>
      </div>

    </div>

    <div class="col-xs-3 col-md-3">

      <div class="panel panel-default">
        <div class="panel-heading">
          <h2><i class="fa fa-map"></i> Countries</h2>
        </div>
        <div id="country_chart" style="width: 100%; height: 200px;"></div>
      </div>

    </div>

    <div class="col-xs-12 col-md-12">
      <div class="row">

        <div class="col-md-3">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h2><i class="fa fa-star"></i> Overall Rating</h2>
            </div>
            <div class="panel-body">
              <div id="ratingchart" style="width: 100%; height: 200px;"></div>
            </div>
          </div>
        </div>

        <div class="col-md-3">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h2><i class="fa fa-star"></i> Service Rating</h2>
            </div>
            <div class="panel-body">
              <div id="service_chart" style="width: 100%; height: 200px;"></div>
            </div>
          </div>
        </div>

        <div class="col-md-3">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h2><i class="fa fa-star"></i> Facility Rating</h2>
            </div>
            <div class="panel-body">
              <div id="facility_chart" style="width: 100%; height: 200px;"></div>
            </div>
          </div>
        </div>

        <div class="col-md-3">
          <div class="panel panel-default">
            <div class="panel-heading">
              <h2><i class="fa fa-star"></i> Value Rating</h2>
            </div>
            <div class="panel-body">
              <div id="value_chart" style="width: 100%; height: 200px;"></div>
            </div>
          </div>
        </div>

      </div>
    </div>

    <div class="col-xs-12 col-md-9">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h2><i class="fa fa-camera-retro"></i> Visitors</h2>
        </div>
        <div class="panel-body">

          <table class="table table-bordered">

            <tr>
              <th>Rating</th>
              <th>Name</th>
              <th>Feedback</th>
              <th>Location</th>
              <th>Email</th>
              <th>Signed</th>
            </tr>

            @foreach($visitors as $visitor)

              <tr>
                <td>
                  <b>Overall:</b> {{ $visitor->rating }} / 5 <br />
                  <b>Service:</b> {{ $visitor->service_rating }} / 5 <br />
                  <b>Facility:</b> {{ $visitor->facility_rating }} / 5 <br />
                  <b>Value:</b> {{ $visitor->value_rating }} / 5 <br />
                </td>
                <td>{{ $visitor->full_name }}</td>
                <td style="max-width:200px;"><p>{{ $visitor->feedback }}</p></td>
                <td style="max-width:100px;">{{ $visitor->loc_formatted }}</td>
                <td>{{ $visitor->email }}</td>
                <td>{{ $visitor->created_at->diffForHumans() }}<br /><a href="{{ url('admin/visitor/remove', $visitor->id) }}" class="btn btn-default">Remove</a></td>
              </tr>

            @endforeach

          </table>

          <div class="text-center">
            <?php echo $visitors->links(); ?>
          </div>
        </div>
      </div>
    </div>

    <div class="col-xs-12 col-md-3">

      <div class="panel panel-default">
        <div class="panel-heading">
          <h2><i class="fa fa-users" aria-hidden="true"></i> Total Visitors Signed</h2>
        </div>
        <div class="panel-body">
          <h1>{{ $allVisitors->count() }}</h1>
        </div>
      </div>

      <div class="panel panel-default">
        <div class="panel-heading">
          <h2><i class="fa fa-share-alt"></i> Refferals</h2>
        </div>
        <div class="panel-body">
          <div id="piechart" style="width: 100%; height: 200px;"></div>

        </div>
        <div class="panel-heading">
          <h4><i class="fa fa-list"></i> Other</h4>
        </div>
        <div class="panel-body">
          <ul>
            @foreach(Refferal::where('refferal', 'Other')->where('refferal_other', '!=', '')->get() as $refferal)
              <li>{{ $refferal->refferal_other }}</li>
            @endforeach
          </ul>
        </div>
        <div class="panel-heading">
          <h4><i class="fa fa-list"></i> Brochures</h4>
        </div>
        <div class="panel-body">
          <ul>
            @foreach(Refferal::where('refferal', 'Brochure')->where('refferal_other', '!=', '')->get() as $refferal)
              <li>{{ $refferal->refferal_other }}</li>
            @endforeach
          </ul>
        </div>
      </div>
    </div>
  </div>

  <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
  <script src="http://maps.google.com/maps/api/js?sensor=false"
  type="text/javascript"></script>
  <script type="text/javascript">
  google.charts.load('current', {'packages':['corechart']});
  google.charts.setOnLoadCallback(drawChart);
  google.charts.setOnLoadCallback(drawChart2);
  function drawChart() {

    var data = google.visualization.arrayToDataTable([
      ['Task', 'Refferals'],
      ['Website',     {{ Refferal::where('refferal', 'Website')->count() }} ],
      ['Instagram',      {{ Refferal::where('refferal', 'Instagram')->count() }}],
      ['Brochure',  {{ Refferal::where('refferal', 'Brochure')->count() }}],
      ['Word of mouth', {{ Refferal::where('refferal', 'Word of mouth')->count() }}],
      ['Facebook', {{ Refferal::where('refferal', 'Facebook')->count() }}],
      ['Invercargill i-SITE', {{ Refferal::where('refferal', 'Invercargill i-SITE')->count() }}],
      ['Other',    {{ Refferal::where('refferal', 'Other')->count() }}]
    ]);

    var options = {
      'chartArea': {'width': '100%', 'height': '80%'},
    };

    var chart = new google.visualization.PieChart(document.getElementById('piechart'));

    chart.draw(data, options);
  }


  function drawChart2() {

    var data = google.visualization.arrayToDataTable([
      ['Task', 'Ratings'],
      ['5 Stars', {{ Visitor::where('rating', 5)->count() }} ],
      ['4 Stars', {{ Visitor::where('rating', 4)->count() }}],
      ['3 Stars', {{ Visitor::where('rating', 3)->count() }}],
      ['2 Stars', {{ Visitor::where('rating', 2)->count() }}],
      ['1 Star', {{ Visitor::where('rating', 1)->count() }}],
    ]);

    var options = {
      'chartArea': {'width': '100%', 'height': '80%'},
      pieSliceText: 'label',
    };

    var chart = new google.visualization.PieChart(document.getElementById('ratingchart'));

    chart.draw(data, options);

    var serviceData = google.visualization.arrayToDataTable([
      ['Task', 'Service Rating'],
      ['5 Stars', {{ Visitor::where('service_rating', 5)->count() }} ],
      ['4 Stars', {{ Visitor::where('service_rating', 4)->count() }}],
      ['3 Stars', {{ Visitor::where('service_rating', 3)->count() }}],
      ['2 Stars', {{ Visitor::where('service_rating', 2)->count() }}],
      ['1 Star', {{ Visitor::where('service_rating', 1)->count() }}],
    ]);

    var serviceOptions = {
      'chartArea': {'width': '100%', 'height': '80%'},
      pieSliceText: 'label',
    };

    var serviceChart = new google.visualization.PieChart(document.getElementById('service_chart'));

    serviceChart.draw(serviceData, options);

    var facilityData = google.visualization.arrayToDataTable([
      ['Task', 'Facility Rating'],
      ['5 Stars', {{ Visitor::where('facility_rating', 5)->count() }} ],
      ['4 Stars', {{ Visitor::where('facility_rating', 4)->count() }}],
      ['3 Stars', {{ Visitor::where('facility_rating', 3)->count() }}],
      ['2 Stars', {{ Visitor::where('facility_rating', 2)->count() }}],
      ['1 Star', {{ Visitor::where('facility_rating', 1)->count() }}],
    ]);

    var facilityOptions = {
      'chartArea': {'width': '100%', 'height': '80%'},
      pieSliceText: 'label',
    };

    var facilityChart = new google.visualization.PieChart(document.getElementById('facility_chart'));

    facilityChart.draw(facilityData, options);

    var valueData = google.visualization.arrayToDataTable([
      ['Task', 'Facility Rating'],
      ['5 Stars', {{ Visitor::where('value_rating', 5)->count() }} ],
      ['4 Stars', {{ Visitor::where('value_rating', 4)->count() }}],
      ['3 Stars', {{ Visitor::where('value_rating', 3)->count() }}],
      ['2 Stars', {{ Visitor::where('value_rating', 2)->count() }}],
      ['1 Star', {{ Visitor::where('value_rating', 1)->count() }}],
    ]);

    var valueOptions = {
      'chartArea': {'width': '100%', 'height': '80%'},
      pieSliceText: 'label',
    };

    var valueChart = new google.visualization.PieChart(document.getElementById('value_chart'));

    valueChart.draw(valueData, options);


    var locationChartData = google.visualization.arrayToDataTable([
      ['Task', 'Facility Rating'],
      <?php

      $nzVisitors = $nzVisitors->groupBy('loc_formatted');

      ?>

      @foreach($nzVisitors as $key => $location)
      ["{{ $key }}", {{ count($location) }} ],
      @endforeach

    ]);

    var locationOptions = {
      'chartArea': {'width': '100%', 'height': '80%'},
      pieSliceText: 'label',
    };

    var valueChart = new google.visualization.PieChart(document.getElementById('location_chart'));

    valueChart.draw(locationChartData, locationOptions);

    var countryChartData = google.visualization.arrayToDataTable([
      ['Task', 'Facility Rating'],
      <?php

      $countryVisitors = $countryVisitors->groupBy('loc_formatted');

      ?>

      @foreach($countryVisitors as $key => $location)
      ["{{ $key }}", {{ count($location) }} ],
      @endforeach

    ]);

    var locationOptions = {
      'chartArea': {'width': '100%', 'height': '80%'},
      pieSliceText: 'label',
    };

    var locChart = new google.visualization.PieChart(document.getElementById('country_chart'));

    locChart.draw(countryChartData, locationOptions);
  }

  </script>


  <script type="text/javascript">
  var locations = [
    @foreach($allVisitors as $visitor)
    ['Visitor #{{ $visitor->id }}', {{$visitor->loc_lat}}, {{$visitor->loc_lng}}, 4],
    @endforeach
  ];

  var map = new google.maps.Map(document.getElementById('map'), {
    zoom:2,
    center: new google.maps.LatLng(0, 168.3537731),
    mapTypeId: google.maps.MapTypeId.ROADMAP
  });

  var infowindow = new google.maps.InfoWindow();

  var marker, i;

  for (i = 0; i < locations.length; i++) {
    marker = new google.maps.Marker({
      position: new google.maps.LatLng(locations[i][1], locations[i][2]),
      map: map
    });

    google.maps.event.addListener(marker, 'click', (function(marker, i) {
      return function() {
        infowindow.setContent(locations[i][0]);
        infowindow.open(map, marker);
      }
    })(marker, i));
  }
  </script>

</body>

</html>
