<!doctype html>
<html>
<head>
  <title>Transport World Visitor book</title>
  <meta charset="utf-8" />
  <link rel="stylesheet" href="{{ url('css/global.css') }}" />
  <link href='https://fonts.googleapis.com/css?family=Pacifico' rel='stylesheet' type='text/css'>
</head>
<body>

  <div id="bgcar"></div>

  <div id="visitor-map" style="width:100%; height:100%;"></div>

  <div id="logo">
    <img src="{{ url('img/logo.png') }}" id="logo-light"/>
    <img src="{{ url('img/logo-dark.png') }}" id="logo-dark"/>
  </div>

  <div id="content">

    <form>

      <div id="navigation-buttons">
        <div class="nav-button nav-left"><a href=""><i class="fa fa-arrow-circle-o-left"></i></a></div>
        <div class="nav-button nav-right"><a href=""><i class="fa fa-arrow-circle-o-right"></i></a></div>
      </div>


      <div class="content-slide">

        <h1>How many stars do you give us?</h1>

        <div id="rating-buttons">

          <i class="fa fa-star-o"></i>
          <i class="fa fa-star-o"></i>
          <i class="fa fa-star-o"></i>
          <i class="fa fa-star-o"></i>
          <i class="fa fa-star-o"></i>

          <input type="hidden" name="overall_rating" class="rating-field" data-nicename="your overall experience"/>

        </div>


        <small><i class="fa fa-info-circle"></i> All of the following fields are optional</small>

      </div>

      <div class="content-slide">

        <h1>What do you think? </h1>

        <div id="rating-buttons" class="smallstars">

          <h2>How do you rate our facilities? </h2>
          <span>
            <i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i>
            <input type="hidden" name="facility_rating" class="rating-field" data-nicename="our facilities"/>
          </span>

          <br />

          <h2>How do you rate our customer service? </h2>
          <span>
            <i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i>
            <input type="hidden" name="service_rating" class="rating-field" data-nicename="our customer service"/>
          </span>

          <br />

          <h2>How do you rate the value of the experience? </h2>
          <span>
            <i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i><i class="fa fa-star-o"></i>

            <input type="hidden" name="value_rating" class="rating-field" data-nicename="our value" />
          </span>

        </div>

        <small><i class="fa fa-info-circle"></i> Tap on the amount of stars</small>



      </div>


      <div class="content-slide">

        <h1 id="feedback-header">Any other feedback?</h1>

        <textarea cols="6" name="feedback" id="feedback-field" placeholder="We would love to hear your feedback as we use this information to improve our service."></textarea>

      </div>

      <div class="content-slide">

        <h1>Sign our visitor book</h1>

        <input type="text" name="full_name" placeholder="Enter your first and last name.">

      </div>

      <div class="content-slide">

        <h1>How did you find out about us?</h1>

        <div class="checkbox-wrapper">

          <span> <input type="checkbox" value="Website" name="refferals[]" id="find_out_website"><label for="find_out_website" class="checkbox-label"> <i class="fa fa-square-o"></i> Website</label> </span>

          <span> <input type="checkbox" name="refferals[]" value="Facebook" id="find_out_facebook"><label for="find_out_facebook" class="checkbox-label"> <i class="fa fa-square-o"></i> Facebook</label> </span>

          <br>

          <span> <input type="checkbox" name="refferals[]" value="Instagram" id="find_out_instagram"><label for="find_out_instagram" class="checkbox-label"> <i class="fa fa-square-o"></i> Instagram</label> </span>

          <span> <input type="checkbox" name="refferals[]" value="Brochure" id="find_out_southland" class="focus-nearest-field"><label for="find_out_southland" class="checkbox-label"> <i class="fa fa-square-o"></i>  <input type="text" placeholder="Brochure" name="refferal_brochure" class="checkbox-field other-form"/></label> </span>

          <br>

          <span> <input type="checkbox" name="refferals[]" value="Invercargill i-SITE" id="find_out_invisite"><label for="find_out_invisite" class="checkbox-label"> <i class="fa fa-square-o"></i> Invercargill i-SITE</label> </span>

          <span> <input type="checkbox" name="refferals[]" value="Word of mouth" id="find_out_word"><label for="find_out_word" class="checkbox-label"> <i class="fa fa-square-o"></i> Word of mouth</label> </span>

          <br>

          <span> <input type="checkbox" name="refferals[]" value="Other" id="find_out_other"  class="focus-nearest-field"><label for="find_out_other" class="checkbox-label"> <i class="fa fa-square-o"></i>  <input type="text" placeholder="Other" name="refferal_other" class="checkbox-field other-form" /> </label> </span>

        </div>

      </div>

      <div class="content-slide">

        <h1>Where are you from?</h1>

        <div id="details" style="">

          <input type="text" id="location-field" placeholder="Enter your city/town/country.">

          <input type="hidden" name="lat"><br>
          <input type="hidden" name="lng">
          <input type="hidden" name="formatted_address">

        </div>

      </div>

      <div class="content-slide">

        <h1>Would you like to stay in touch?</h1>

        <input type="email" name="email" placeholder="your@email.com">

        <small><i class="fa fa-info-circle"></i> We don’t spam and only send the good stuff – events, promos and our latest news. </small>

        <br />
        <button class="nav-right"><i class="fa fa-arrow-circle-o-right"></i> No thanks </button>

      </div>

      <div class="content-slide">

        <h2>Thank you for visiting Transport world! </h2>

        <h1 style="font-family: 'Pacifico', cursive; font-weight:400;" id="finish-name"></h1>

        <button id="back-to-start"><i class="fa fa-arrow-circle-o-left"></i> Back to start</button>

      </div>

    </form>
  </div>


  <script src="//ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>

  <script type="text/javascript" src="//maps.google.com/maps/api/js?libraries=places"></script>

  <script src="{{ asset('js/jquery.geocomplete.min.js') }}"></script>

  <script src="{{ url('js/main.js') }}"></script>

  <script>


  var options = {
    map: "#visitor-map",
    location: 'Invercargill, New Zealand',
    details: "form ",
    mapOptions: {
      zoom: 14,
      disableDefaultUI: true
    },
  };

  $("#location-field").geocomplete(options);

  </script>

</body>
</html>
